Subject: Re: bug#7028: 24.0.50; incomplete ns protocol implementations in nsmenu

From: Jan Djärv <[email-masked]>
Date: Wed, 15 Sep 2010 11:42:39 +0200

I've seen this and thinks it is because the classes doesn't declare that they
implement those protocols.  I don't know why.  Is it perhaps to cater for an
older version of the compiler or maybe the protocols are called something
else in NextStep?

	Jan D.

Derrell Piper skrev 2010-09-13 19.48:
> The current GNUstep trunk is giving warnings about not completely
> implementing these protocols (10.6.4, Xcode 3.2.4, MacOSX10.6.sdk):
>
> gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Users/ddp/src/emacs/src            =
>     -MMD -MF deps/nsmenu.d  -Wimplicit-function-declaration -Wold-style-defi=
> nition -Wdeclaration-after-statement -Wno-pointer-sign  -g -O2  nsmenu.m
> nsmenu.m: In function =E2=80=98ns_update_menubar=E2=80=99:
> nsmenu.m:461: warning: class 'EmacsMenu' does not implement the 'NSMenuDele=
> gate' protocol
> nsmenu.m: In function =E2=80=98-[EmacsMenu initWithTitle:frame:]=E2=80=99:
> nsmenu.m:552: warning: class 'EmacsMenu' does not implement the 'NSMenuDele=
> gate' protocol
> nsmenu.m: In function =E2=80=98-[EmacsMenu fillWithWidgetValue:]=E2=80=99:
> nsmenu.m:717: warning: =E2=80=98sizeToFit=E2=80=99 is deprecated (declared =
> at /System/Library/Frameworks/AppKit.framework/Headers/NSMenu.h:281)
> nsmenu.m: In function =E2=80=98-[EmacsToolbar initForView:withIdentifier:]=
> =E2=80=99:
> nsmenu.m:1126: warning: class 'EmacsToolbar' does not implement the 'NSTool=
> barDelegate' protocol
> nsmenu.m: In function =E2=80=98-[EmacsTooltip init]=E2=80=99:
> nsmenu.m:1257: warning: class 'EmacsTooltip' does not implement the 'NSWind=
> owDelegate' protocol
>
>
> In GNU Emacs 24.0.50.3 (x86_64-apple-darwin10.4.0, NS apple-appkit-1038.32)
> of 2010-09-13 on fluffy.local
> Windowing system distributor `Apple', version 10.3.1038
> configured using `configure  '--with-ns''
>
> Important settings:
>    value of $LC_ALL: nil
>    value of $LC_COLLATE: nil
>    value of $LC_CTYPE: nil
>    value of $LC_MESSAGES: nil
>    value of $LC_MONETARY: nil
>    value of $LC_NUMERIC: nil
>    value of $LC_TIME: nil
>    value of $LANG: en_US.UTF-8
>    value of $XMODIFIERS: nil
>    locale-coding-system: utf-8-unix
>    default enable-multibyte-characters: t
>
> Major mode: Lisp Interaction
>
> Minor modes in effect:
>    tooltip-mode: t
>    menu-bar-mode: t
>    file-name-shadow-mode: t
>    global-font-lock-mode: t
>    font-lock-mode: t
>    blink-cursor-mode: t
>    auto-composition-mode: t
>    auto-encryption-mode: t
>    auto-compression-mode: t
>    column-number-mode: t
>    line-number-mode: t
>
> Recent input:
> M-x r e p o r t -<tab>  <return>
>
> Recent messages:
> Loading /Users/ddp/src/el/custom.el (source)...done
> -->  .emacs loaded in 1s
> For information about GNU Emacs and the GNU system, type C-h C-a.
>
> Load-path shadows:
> ~/src/el/custom hides /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Reso=
> urces/lisp/custom
> ~/src/el/xscheme hides /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Res=
> ources/lisp/progmodes/xscheme
> /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Resources/lisp/progmodes/c=
> c-vars hides /Users/ddp/src/el/cc-mode-5.31.3/cc-vars
> /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Resources/lisp/progmodes/c=
> c-styles hides /Users/ddp/src/el/cc-mode-5.31.3/cc-styles
> /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Resources/lisp/progmodes/c=
> c-mode hides /Users/ddp/src/el/cc-mode-5.31.3/cc-mode
> /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Resources/lisp/progmodes/c=
> c-menus hides /Users/ddp/src/el/cc-mode-5.31.3/cc-menus
> /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Resources/lisp/progmodes/c=
> c-langs hides /Users/ddp/src/el/cc-mode-5.31.3/cc-langs
> /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Resources/lisp/progmodes/c=
> c-fonts hides /Users/ddp/src/el/cc-mode-5.31.3/cc-fonts
> /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Resources/lisp/progmodes/c=
> c-engine hides /Users/ddp/src/el/cc-mode-5.31.3/cc-engine
> /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Resources/lisp/progmodes/c=
> c-defs hides /Users/ddp/src/el/cc-mode-5.31.3/cc-defs
> /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Resources/lisp/progmodes/c=
> c-compat hides /Users/ddp/src/el/cc-mode-5.31.3/cc-compat
> /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Resources/lisp/progmodes/c=
> c-cmds hides /Users/ddp/src/el/cc-mode-5.31.3/cc-cmds
> /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Resources/lisp/progmodes/c=
> c-bytecomp hides /Users/ddp/src/el/cc-mode-5.31.3/cc-bytecomp
> /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Resources/lisp/progmodes/c=
> c-awk hides /Users/ddp/src/el/cc-mode-5.31.3/cc-awk
> /Users/ddp/src/trunk/nextstep/Emacs.app/Contents/Resources/lisp/progmodes/c=
> c-align hides /Users/ddp/src/el/cc-mode-5.31.3/cc-align
>
> Features:
> (shadow sort gnus-util mail-extr message rfc822 mml mml-sec mm-decode
> mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
> mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader emacsbug
> finder-inf package simple-wiki derived scheme-complete git-blame git
> log-edit easy-mmode ring pcvs-util ewoc add-log avoid server paren
> mic-paren cl cl-19 tooltip ediff-hook vc-hooks lisp-float-type mwheel
> ns-win easymenu tool-bar dnd fontset image fringe lisp-mode register
> page menu-bar rfn-eshadow timer select scroll-bar mldrag mouse jit-lock
> font-lock syntax facemenu font-core frame cham georgian utf-8-lang
> misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
> greek romanian slovak czech european ethiopic indian cyrillic chinese
> case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
> minibuffer faces cus-face files text-properties overlay md5 base64
> format env code-pages mule custom widget hashtable-print-readable
> backquote make-network-process ns multi-tty emacs)
>
>